package ru.yandex.direct.web.entity.banner.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WebUrlCheckResult {

    @JsonProperty("result")
    private Boolean result;

    @JsonProperty("error")
    private String error;

    @JsonProperty("domain")
    private String domain;

    public Boolean getResult() {
        return result;
    }

    public WebUrlCheckResult withResult(Boolean result) {
        this.result = result;
        return this;
    }

    public String getError() {
        return error;
    }

    public WebUrlCheckResult withError(String error) {
        this.error = error;
        return this;
    }

    public String getDomain() {
        return domain;
    }

    public WebUrlCheckResult withDomain(String domain) {
        this.domain = domain;
        return this;
    }

}
